/******************************************/
/* Definition of the data */
/* id si an identifying variable */
/* pi1 and pi2 are two different variables*/
/* of inclusion probabilities */
/* var1, var2 and var3 are 3 numerical */
/* variables */
/******************************************/
/* The population U is divided into 2 non */
/* overlapping strata */
/******************************************/
/* Table a1 gathers the units of the 1st */
/* stratum */
/******************************************/
data a1;
input id $ pi var1 var2 var3;
cards;
1 0.2 1 4 7
2 0.4 2 6 4
3 0.8 3 7 9
4 0.2 2 3 2
5 0.7 8 6 4
6 0.1 3 5 6
7 0.5 2 6 3
8 0.3 2 1 3
9 0.4 4 7 6
10 0.5 8 2 5
;run;
/******************************************/
/* Table a2 gathers the units of the 2nd */
/* stratum */
/******************************************/
data a2;
input id $ pi var1 var2 var3;
cards;
11 0.4 1 2 6
12 0.2 6 6 3
13 0.6 4 2 5
14 0.9 2 1 5
15 0.4 2 5 4
16 0.5 5 7 2
17 0.7 4 1 7
18 0.6 2 2 3
;
run;
/******************************************/
/* Example */
/******************************************/
/* Stratified balancing, on variables var1*/
/* var2, with pi as inclusion */
/* probabilities, and fixed size by */
/* stratum */
/******************************************/
%echant_strat(base=work,data=a1 a2,id=id,pi=pi,contr=pi var1 var2,
sort=ech2);
